﻿using System;
using System.Collections.Generic;
using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            List<Sample> sourceList = new List<Sample>();

            for(int i = 0; i < 100; i++)
            {
                sourceList.Add
                (
                    new Sample()
                    {
                        ID = i,
                        Text = "Row" + i,
                        Number = i,
                        MultiLineText = "Row" + i + "Line0" + Environment.NewLine +
                                        "Row" + i + "Line1" + Environment.NewLine +
                                        "Row" + i + "Line2"
                    }
                );
            }

            DataContext = sourceList;
        }

        #endregion
    }
}